> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdstationmentoria.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter assinatura

> Retorna detalhes sobre a assinatura em vigor.



## OpenAPI

````yaml https://api.contas.rdstationmentoria.com.br/rest get /subscriptions/current
openapi: 3.0.3
info:
  title: Accounts
  version: 0.0.1
servers:
  - url: https://api.contas.rdstationmentoria.com.br/rest
security: []
paths:
  /subscriptions/current:
    get:
      tags:
        - Subscriptions
      summary: Obter assinatura
      description: Retorna detalhes sobre a assinatura em vigor.
      operationId: subscriptions-current
      parameters:
        - name: appId
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                anyOf:
                  - not: {}
                  - type: object
                    properties:
                      id:
                        type: string
                        description: Identificador único da assinatura
                      status:
                        type: string
                        enum:
                          - trial
                          - active
                          - canceled
                          - ended
                        description: Status da assinatura
                      appId:
                        type: string
                        description: Identificador da aplicação vinculada
                      priceId:
                        type: string
                        description: Identificador do preço contratado
                      coupon:
                        type: string
                        nullable: true
                        default: null
                        description: Cupom aplicado na assinatura
                      source:
                        type: string
                        enum:
                          - self_service
                          - third_party
                        description: Origem da assinatura
                        default: third_party
                      workspaceId:
                        type: string
                        description: ID do workspace
                      createdAt:
                        type: string
                        format: date-time
                        default: '2026-02-08T00:20:48.496Z'
                        description: Data de criação
                      updatedAt:
                        type: string
                        format: date-time
                        default: '2026-02-08T00:20:48.496Z'
                        description: Data da última atualização
                    required:
                      - id
                      - status
                      - appId
                      - priceId
                      - workspaceId
                    additionalProperties: false
                    nullable: true
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````